﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;
using System.Text.RegularExpressions;
using System.IO;

namespace EditHtml
{
    public partial class Form1 : MetroForm
    {
        private string FilePath = Path.GetDirectoryName(Application.ExecutablePath) + @"\..\..\Test Files\File.txt";
        private string BasePath = Path.GetDirectoryName(Application.ExecutablePath) + @"\..\..\Test Files\HTMLFile.html";
        public Form1()
        {
            InitializeComponent();
            this.htmluiControl1.ShowTitle = false;
            //Load file
            this.editControl1.LoadFile(FilePath);
        }
        private void buttonAdv1_Click(object sender, EventArgs e)
        {
            //Refresh the File content
            if (File.Exists(BasePath))
            {
                File.Delete(BasePath);
            }
            //Load the file Content
            for (int i = 0; i < this.editControl1.Lines.Length; i++)
            {
                string line = this.editControl1.Lines[i].Replace(" ","&nbsp;&nbsp;");
                StreamWriter writer = new StreamWriter(BasePath, true);
                writer.WriteLine(line);
                writer.Close();
            }
            //Load the Html file
            this.htmluiControl1.LoadHTML(BasePath);
        }
    }
}
